#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Search
%define		pnam	Xapian
%define		basever	1.2.24
Summary:	Search::Xapian - Perl XS frontend to the Xapian C++ search library
Summary(pl.UTF-8):	Search::Xapian - interfejs Perlowy XS do biblioteki wyszukiwania Xapian
Name:		perl-Search-Xapian
Version:	%{basever}.0
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
#Source0:	http://www.cpan.org/modules/by-module/Search/%{pdir}-%{pnam}-%{version}.tar.gz
Source0:	http://oligarchy.co.uk/xapian/%{basever}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	01206bf2cc71c5b3a6258a01daabfc43
URL:		http://search.cpan.org/dist/Search-Xapian/
BuildRequires:	libstdc++-devel
%if %{with tests}
BuildRequires:	perl-Devel-Leak
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	xapian-core-devel >= %{basever}
Requires:	xapian-core-libs >= %{basever}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module wraps most methods of most Xapian classes. The missing
classes and methods should be added in the future. It also provides a
simplified, more 'perlish' interface to some common operations.

%description -l pl.UTF-8
Ten moduł obudowuje większość metod z większości klas Xapiana.
Brakujące klasy i metody powinny być dodane w przyszłości. Moduł
udostępnia także uproszczony, bardziej perlowy interfejs do niektórych
popularnych operacji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

# NOTE: (this) Perl build system doesn't have CXX, but CC is used
%{__make} \
	CC="%{__cxx}" \
	OPTIMIZE="%{rpmcxxflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Search
%{perl_vendorarch}/Search/Xapian.pm
%dir %{perl_vendorarch}/Search/Xapian
%{perl_vendorarch}/Search/Xapian/*.pm
%dir %{perl_vendorarch}/Search/Xapian/MSet
%{perl_vendorarch}/Search/Xapian/MSet/Tied.pm
%dir %{perl_vendorarch}/auto/Search
%dir %{perl_vendorarch}/auto/Search/Xapian
%attr(755,root,root) %{perl_vendorarch}/auto/Search/Xapian/Xapian.so
%{_mandir}/man3/Search::Xapian*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jun 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Search-Xapian.git;a=log;h=master

* Sun Jun 30 2024 Jan Palus <atler@pld-linux.org> 9a422d9
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 2e04e2a
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 0131a00
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 2c86dd5
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 3f7a40e
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 5b785eb
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> ec95e01
- rebuild with perl 5.30.0
- release 5 (by relup.sh)

* Fri Aug 31 2018 Jan Rękorajski <baggins@pld-linux.org> 7486029
- rebuild with perl 5.28.0
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 2ba9bf5
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 5cfce58
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Sun Apr 30 2017 Jan Rękorajski <baggins@pld-linux.org> 3c54660
- up to 1.2.24
- builds find with xapian-core 1.4.4
- enabled tests

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 4284841
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sat Jun 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 59e18a5
- updated to 1.2.23.0

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 948a256
- release 2 (by relup.sh)

* Fri Oct 16 2015 Jakub Bogusz <qboosh@pld-linux.org> 286e18b
- updated to 1.2.21

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 8a4176a
- x32 rebuild
- release 2 (by relup.sh)

* Wed Sep 17 2014 Jan Rękorajski <baggins@pld-linux.org> f146215
- up to 1.2.18.0

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 37d264f
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> ae323ed
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2c925fa
- rebuild for perl 5.20
- release 3 (by relup.sh)

